replace_filename(3)

NAME
replace_filename - Replaces path+filename with a new filename tail. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *replace_filename(char *dest, const char *path, const char *filename, int size);

DESCRIPTION
Replaces the specified path+filename with a new filename tail, storing at most `size' bytes into the `dest' buffer. You can use the same buffer both as input and output because Allegro internally works on a copy of the input before touching `dest'. Example:
   char name[200];
   ...
   get_executable_name(name, sizeof(name));
   replace_filename(name, name, "sound.dat", sizeof(name));

RETURN VALUE
Returns a copy of the `dest' parameter.

SEE ALSO
get_filename(3), replace_extension(3), append_filename(3)